Subject: Re: [MMUSIC] Error in RFC 5245

From: "Miguel A. Garcia" <[email-masked]>
Date: Wed, 7 Mar 2012 10:58:07 +0100

Hi:

I am following up on this old e-mail by Marc, and we haven't seen a reaction.

The issue is that there is a contradiction in RFC 5245, as Marc explains 
below:

 > Section 15.3 states that:
 >
 > '"ice-mismatch" is a media-level attribute only.[...]'
 >
 > But section 21.1.4 (and IANA) declares this attribute as a session 
level attribute.

Needless to say, the IANA registry of SDP parameters follows section 
21.1.4 and lists ice-mismatch as a session-level attribute

I believe that the spirit of RFC 5245 is that ice-mismatch is a 
media-level only attribute. For example, Section 6.1 hints it:

    In some cases, the answer may omit a=candidate attributes for the
    media streams, and instead include an a=ice-mismatch attribute for
    one or more of the media streams in the SDP.

and later Section 15.3:

    "ice-mismatch" is a media-level
    attribute only, and when present in an answer, indicates that the
    offer arrived with a default destination for a media component that
    didn't have a corresponding candidate attribute.

With this, I think it is clear that "ice-mismatch" is a media-level only 
attribute, and we should fix the RFC and the IANA registry.

I think we should first file an Errata towards RFC 5245. Marc, can you 
file it? When we get it approved, we can work with our ADs to fix the 
IANA registry.

/Miguel

On 21/12/2011 1:33, Marc Petit-Huguenin wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
> Section 15.3 states that:
>
> '"ice-mismatch" is a media-level attribute only.[...]'
>
> But section 21.1.4 (and IANA) declares this attribute as a session level attribute.
>
> It seems logical to have ice-mismatch as a media level attribute, but I guess
> that something more than an errata is needed to fix the wrong IANA declaration.
>
> What is the process in this case?
>
> Thanks.
>
> - --
> Marc Petit-Huguenin
> Personal email: [email-masked]
> Professional email: [email-masked]
> Blog: http://blog.marc.petit-huguenin.org
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.11 (GNU/Linux)
>
> iQIcBAEBCAAGBQJO8SlkAAoJECnERZXWan7EtB4P/2FYooLdQYaNT297tBFTgoJk
> k8DWm79c+8NCm6WtlHwuisqWfTry9zRUS+Lr9ViCpid5hC1tv2l0cFP5tbR+jXsB
> 0+9zlaorZ6AgbNZucGxOcV0tnVVfQN8pH7V74rSbChknEVL4buybLED2OGrJe1n8
> Q+0wHeT31J1Csc8s/wwzlePFl/J8FpRPAd9DIzSYvHlpCUpbnVuasEpvYwC4+XXp
> XlR2HxtXw7D19sE9dz1xl1kAdYMlkyioaxZy8C3mNbM6BJxzTMB2FOjrb11M/ykV
> zakIYGfX6HbzmyRf7Tu5s5XZY6Tv92R31RkcEOQbPrwycZtPJkn+iGHxd7ab5E0S
> vPDxuu5LzoFcv9PSuYMIw7cWOXrbd/VLnXJErluU8GdhDBCVAvbckw9Wrm5COhlU
> 52rRphlmlBq9dpcvNdsbiAzuT4PcKCBugiOrOX70QTOy4DnWDXTDeInuXqHE296/
> ztn7+iX0nLBqwyVLvTX6TwxusKs3lrj11g6y+6dfoqPS5hRjyq59VChYQm79qNd3
> P8hXdvLWx9yRKWg30k1DBsnb6cz7zWnDUaN2Ks6OOkN+nC1MKdV/m89qkCJ0eI28
> fV3Lb7Lb4A2pJ3sZq8MYu+0qV/LdcJeYdb/PIJk+Jm+Icj0dHU0EU86i0Wq9VcEL
> pXAEb2PJntrS6oAv4YC+
> =bJdZ
> -----END PGP SIGNATURE-----
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

-- 
Miguel A. Garcia
+34-91-339-3608
Ericsson Spain